org.richfaces.fragment.notify

## Class RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl

- java.lang.Object
- - org.richfaces.fragment.message.AbstractMessage.AdvancedMessageInteractionsImpl
  - - org.richfaces.fragment.notify.RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl

- All Implemented Interfaces:
    Message.AdvancedMessageInteractions, NotifyMessage.AdvancedNotifyMessageIteractions
  Enclosing class:
    RichFacesNotifyMessage

      public class RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl
      extends AbstractMessage.AdvancedMessageInteractionsImpl
      implements NotifyMessage.AdvancedNotifyMessageIteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getCloseElement()`
    `org.openqa.selenium.WebElement` | `getCloseIconElement()`
    `org.openqa.selenium.WebElement` | `getDetailElement()`
    `NotifyMessage.NotifyMessagePosition` | `getPosition()`
    `org.openqa.selenium.WebElement` | `getShadowElement()`
    `org.openqa.selenium.WebElement` | `getSummaryElement()`
    `boolean` | `isVisible()`

    - ### Methods inherited from class org.richfaces.fragment.message.AbstractMessage.AdvancedMessageInteractionsImpl

      `getRootElement, waitUntilMessageIsNotVisible, waitUntilMessageIsVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.message.Message.AdvancedMessageInteractions

      `getRootElement, waitUntilMessageIsNotVisible, waitUntilMessageIsVisible`

- - ### Constructor Detail

    - #### RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl

          public RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl()

  - ### Method Detail

    - #### getDetailElement

          public org.openqa.selenium.WebElement getDetailElement()

      Specified by:
        `getDetailElement` in interface `Message.AdvancedMessageInteractions`

    - #### getSummaryElement

          public org.openqa.selenium.WebElement getSummaryElement()

      Specified by:
        `getSummaryElement` in interface `Message.AdvancedMessageInteractions`

    - #### getCloseElement

          public org.openqa.selenium.WebElement getCloseElement()

      Specified by:
        `getCloseElement` in interface `NotifyMessage.AdvancedNotifyMessageIteractions`

    - #### getCloseIconElement

          public org.openqa.selenium.WebElement getCloseIconElement()

      Specified by:
        `getCloseIconElement` in interface `NotifyMessage.AdvancedNotifyMessageIteractions`

    - #### getPosition

          public NotifyMessage.NotifyMessagePosition getPosition()

      Specified by:
        `getPosition` in interface `NotifyMessage.AdvancedNotifyMessageIteractions`

    - #### getShadowElement

          public org.openqa.selenium.WebElement getShadowElement()

      Specified by:
        `getShadowElement` in interface `NotifyMessage.AdvancedNotifyMessageIteractions`

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `Message.AdvancedMessageInteractions`
      Overrides:
        `isVisible` in class `AbstractMessage.AdvancedMessageInteractionsImpl`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.